// Here goes constant declarations
#ifndef __PCI3016_H
#define __PCI3016_H

#define PCI3016_DISABLED						0
#define PCI3016_ENABLED							1

/**
* Interrupt related
**/
#define PCI3016_COUNTER_TIMER_WATCHDOG_INTERRUPT	0x2

/** 
* Counter timer watchdog
* Use one of the following value to set the mode of the component
*/
#define PCI3016_COUNTER_FUNCTION				0
#define PCI3016_TIMER_FUNCTION					1
#define PCI3016_WATCHDOG_FUNCTION				2

/* Digital input/output related */
#define	PCI3016_DIGITAL_INPUT_NUMBER			4
#define	PCI3016_DIGITAL_OUTPUT_NUMBER			4

// Choose digital channel
#define PCI3016_CHANNEL_0						0
#define PCI3016_CHANNEL_1						1
#define PCI3016_CHANNEL_2						2
#define PCI3016_CHANNEL_3						3

// Choose a TTL port
#define PCI3016_PORT_INPUT						0
#define PCI3016_PORT_OUTPUT						1
#define PCI3016_PORT_PROGRAMMABLE				2

// Set programmable TTL mode
#define PCI3016_TTL_UNDEFINED					0
#define PCI3016_TTL_INPUT						1
#define PCI3016_TTL_OUTPUT						2

// Choose a counter / timer or watchdog
#define PCI3016_TIMER_0							0
#define PCI3016_TIMER_1							1
#define PCI3016_TIMER_2							2

// Timer mode
#define PCI3016_TIMER_MODE_2					0
#define PCI3016_TIMER_MODE_3					1

// Delay mode (all other values > 0 are actual delay values)
#define PCI3016_NO_DELAY						0

// Analog acquisition cycle (all other values > 0 are actual number of sequences)
#define PCI3016_CONTINUOUS_CYCLE				0

// Time base
#define PCI3016_TIME_BASE_MICROSECONDS			0
#define PCI3016_TIME_BASE_MILLISECONDS			1
#define PCI3016_TIME_BASE_SECONDS				2

// Output mode
#define PCI3016_OUTPUT_DISABLED					0
#define PCI3016_OUTPUT_ENABLED					1
#define PCI3016_OUTPUT_INVERTED					2

// Counter direction
#define PCI3016_COUNTER_DIRECTION_UP			0
#define PCI3016_COUNTER_DIRECTION_DOWN			1

// External trigger mode
#define PCI3016_EXT_TRIGGER_DISABLED			0x0
#define PCI3016_EXT_TRIGGER_ENABLED_LOW			0x1
#define PCI3016_EXT_TRIGGER_ENABLED_HIGH		0x2
#define PCI3016_EXT_TRIGGER_ENABLED_BOTH		0x3

// Software trigger mode
#define PCI3016_SOFT_TRIGGER_DISABLED			0x0
#define PCI3016_SOFT_TRIGGER_ENABLED			0x1

// Trigger types
#define PCI3016_TRIGGER_ONE_SHOT				0x0
#define PCI3016_TRIGGER_SEQUENCE_TRIGGER		0x8
#define PCI3016_TRIGGER_SINGLE_SEQUENCE			0xC

// Counter level
#define PCI3016_COUNTER_LOW_LEVEL				0
#define PCI3016_COUNTER_HIGH_LEVEL				1
#define PCI3016_COUNTER_BOTH_LEVEL				2

// Analog output mode
#define PCI3016_OUTPUT_MODE_UNIPOLAR			0
#define PCI3016_OUTPUT_MODE_BIPOLAR				1

// Analog input modes
#define PCI3016_INPUT_MODE_UNDEFINED			0
#define PCI3016_INPUT_MODE_SINGLE_ENDED			1
#define PCI3016_INPUT_MODE_DIFFERENTIAL			2

// Gain values
#define PCI3016_GAIN_1							0
#define PCI3016_GAIN_2							1
#define PCI3016_GAIN_5							2
#define PCI3016_GAIN_10							3

// DMA Modes
#define PCI3016_DMA_DISABLED					0
#define PCI3016_DMA_SINGLE						1
#define PCI3016_DMA_CONTINUOUS					2

/* Analog inputs resolution 16 bits */
#define ADC_CONVERTER_HALF_16 0x8000
#define ADC_CONVERTER_MAX_16 0xFFFF

/* Analog inputs resolution 12 bits */
#define ADC_CONVERTER_HALF_12 0x800
#define ADC_CONVERTER_MAX_12 0xFFF

#endif
