/**
* Demonstrates how to use the ReadTTLInputs function
**/
#include "stdafx.h"

int _tmain( int /*argc*/, _TCHAR* /*argv[]*/ )
{
	INT returnValue = 0;
	HANDLE boardHandle = NULL;
	WORD value = 0;
	BYTE port = 0;
	ULONG readValue = 0;

	/* open a board */
	returnValue = OpenBoard(&boardHandle);
	if (returnValue != 0)
	{
		printf("Error %d opening the board \n", returnValue);
		_getch();
		return -1;
	}

	/* ask the port to use */
	ReadUlong("Which port do you want to use? (0: Input port, 1: Programmable port) ",0,1,&readValue);
	switch ( readValue )
	{
		case 0:
			port = PCI3016_PORT_INPUT;
			break;
		case 1:
			port = PCI3016_PORT_PROGRAMMABLE;
			break;
	}

	if ( port == PCI3016_PORT_PROGRAMMABLE)
	{
		/* set the programmable port configuration as input */
		returnValue = i_PCI3016_SetTTLPortConfiguration( boardHandle, PCI3016_TTL_INPUT );
		if (returnValue != 0)
		{
			printf("Error %d in i_PCI3016_SetTTLPortConfiguration \n", returnValue);
			i_PCI3016_CloseBoard(boardHandle);
			_getch();
			return -1;
		}
		printf("Bidirectional port set as input \n");
	}

	printf("Hit a key to exit the sample. \n");

	/* endless loop */
	for(;;)
	{
		returnValue = i_PCI3016_ReadTTLInputs(boardHandle, port, &value);
		if (returnValue != 0)
		{
			printf("Error %d in i_PCI3016_ReadTTLInputs \n", returnValue);
			break;
		}
		else
		{
			printf("TTL inputs status is 0x%x \t", value );
			DisplayRunningStatus();
		}
		/* do the use hit a key ? */
		if ( _kbhit() )
		{
			break;
		}
		Sleep(100);
	}

	/* close board */
	returnValue = i_PCI3016_CloseBoard(boardHandle);
	if (returnValue != 0)
	{
		printf("Error %d in i_PCI3016_CloseBoard \n", returnValue);
		_getch();
	}

	/* exit */
	printf("\n Press any key to exit the sample ...");
	_getch();

	return 0;
}

