UNIT PCI3016;

INTERFACE

TYPE
    PPointer      = ^Pointer;
	
FUNCTION   i_PCI3016_GetNumberOfBoards (var pb_NbrOfBoards : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_GetBoardInformation (b_BoardIndex : Byte;
									      dw_IdentifierStringSize : LongWord;
									      pc_Identifier : PAnsiChar;
									      var	pdw_UINumber : LongWord;
								          var   pdw_DeviceNumber : LongWord;
								          var   pdw_BusNumber : LongWord;
									      var	pdw_BaseAddress0 : LongWord;
									      var	pdw_BaseAddress1 : LongWord;
									      var	pdw_BaseAddress2 : LongWord;
									      var	pdw_BaseAddress3 : LongWord;
									      var   pb_Interrupt : Byte ): Int16;FAR;STDCALL;
								   
FUNCTION   i_PCI3016_OpenBoardViaIndex (b_BoardIndex : Byte; var ph_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_OpenBoardViaIdentifier (pc_Identifier : PCHAR; var ph_DeviceHandle : THANDLE): Int16;FAR;STDCALL;
										
FUNCTION   i_PCI3016_CloseBoard (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_GetDLLVersion (var pdw_Version : LongWord): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_GetDeviceDriverVersion(h_DeviceHandle : THANDLE; var pdw_Version : LongWord): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_SetBoardIntRoutine (h_DeviceHandle : THANDLE; v_FunctionName : Pointer): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ResetBoardIntRoutine (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Read1DigitalInput (h_DeviceHandle : THANDLE; b_Channel : Byte; var pb_Value : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Read4DigitalInputs (h_DeviceHandle : THANDLE; var pb_Value : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Set1DigitalOutputOn (h_DeviceHandle : THANDLE; b_Channel : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Set1DigitalOutputOff (h_DeviceHandle : THANDLE; b_Channel : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Set4DigitalOutputsOn (h_DeviceHandle : THANDLE; b_Mask : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Set4DigitalOutputsOff (h_DeviceHandle : THANDLE; b_Mask : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_SetDigitalOutputMemoryOn (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_SetDigitalOutputMemoryOff (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Get1DigitalOutputStatus (h_DeviceHandle : THANDLE; b_Channel : Byte; var pb_OutputsStatus : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Get4DigitalOutputsStatus (h_DeviceHandle : THANDLE; var	pb_OutputsStatus : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_SetTTLPortConfiguration (h_DeviceHandle : THANDLE; b_InOrOut : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ReadTTLInputs (h_DeviceHandle : THANDLE; b_Port : Byte; var pw_Value : UInt16): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_SetTTLOutputsOff (h_DeviceHandle : THANDLE; b_Port : Byte; w_Mask : UInt16): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_SetTTLOutputsOn (h_DeviceHandle : THANDLE; b_Port : Byte; w_Mask : UInt16): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_GetTTLOutputsStatus (h_DeviceHandle : THANDLE; b_Port : Byte; var pw_OutputsStatus : UInt16): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_InitAndStartCounterTimerWatchdog(h_DeviceHandle : THANDLE;
												      b_Function : Byte;
												      b_Index : Byte;
													  b_InterruptEnabled : Byte;
												      w_ReloadValue : UInt16;
												      b_TimerWatchdogTimeBase : Byte;
												      b_CounterTimerOutputMode : Byte;
												      b_TimerMode : Byte;
												      b_CounterDirection : Byte;
												      b_CounterLevel : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_StopCounterTimerWatchdog(h_DeviceHandle : THANDLE; b_Index : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_TriggerCounterTimerWatchdog(h_DeviceHandle : THANDLE; b_Index : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ReadCounterStatus (h_DeviceHandle : THANDLE;
								        b_Index : Byte;
								        var pb_CounterStatus : Byte;
										var pb_Clear : Byte;
										var pb_SoftwareTriggerStatus : Byte;
								        var pw_CounterValue: UInt16 ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ReadCounterValue (h_DeviceHandle : THANDLE; b_Index : Byte; var pw_CounterValue: UInt16 ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ClearCounter(h_DeviceHandle : THANDLE; b_Index : Byte ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ReadTimerStatus (h_DeviceHandle : THANDLE;
								      b_Index : Byte;
								      var pb_TimerStatus : Byte;
								      var pb_SoftwareTriggerStatus : Byte;
								      var pw_TimerValue: UInt16): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ReadTimerValue (h_DeviceHandle : THANDLE;
								     b_Index : Byte;
								     var pw_TimerValue: UInt16 ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ReadWatchdogStatus (h_DeviceHandle : THANDLE;
								         var pb_WatchdogStatus : Byte;
								         var pb_SoftwareTriggerStatus : Byte;
								         var pw_WatchdogValue: UInt16): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ReadWatchdogValue (h_DeviceHandle : THANDLE;
								        var pw_WatchdogValue: UInt16 ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_SetAnalogInputMode(h_DeviceHandle : THANDLE; b_InputMode : Byte): Int16;FAR;STDCALL;
 
FUNCTION   i_PCI3016_GetAnalogInputMode(h_DeviceHandle : THANDLE; var pb_InputMode : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_InitAndStartAnalogInputSequence(h_DeviceHandle : THANDLE;
													 dw_SequenceCount : LongWord;
													 dw_SequenceBeforeInterrupt : LongWord;
													 b_ChannelCount : Byte;
													 var pb_Channel : Byte;
													 var pb_Gain : Byte;
													 var pb_Polarity : Byte;
													 dw_ConvertingTime : LongWord;
													 dw_DelayTime : LongWord;
													 b_SoftTriggerMode : Byte;
													 b_ExtTriggerMode : Byte;
													 dw_SequenceTriggerCount: LongWord): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_ReadMoreAnalogInputs (h_DeviceHandle : THANDLE;
										   b_ChannelCount : Byte;
										   var pb_Channel : Byte;
										   var pb_Gain : Byte;
										   var pb_Polarity : Byte;
										   dw_ConvertingTime : LongWord;
										   b_InterruptFlag : Byte;
									       b_SoftTriggerMode : Byte;
									       b_ExtTriggerMode : Byte;
									       var pw_ChannelValue : UInt16): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_Read1AnalogInput (h_DeviceHandle : THANDLE;
								       b_Channel : Byte;
								       b_Gain : Byte;
								       b_Polarity : Byte;
								       dw_ConvertingTime : LongWord;
								       b_InterruptFlag : Byte;
								       b_SoftTriggerMode : Byte;
								       b_ExtTriggerMode : Byte;
								       var pw_ChannelValue : UInt16): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_InitAndStartAutoRefreshAcquisition(h_DeviceHandle : THANDLE;
								                        b_ChannelCount : Byte;
													    var pb_Channel : Byte;
								                        var pb_Gain : Byte;
								                        var pb_Polarity : Byte;
								                        dw_ConvertingTime : LongWord;
								                        ppdw_Channels : PPointer): Int16;FAR;STDCALL;
	
FUNCTION   i_PCI3016_StopAnalogAcquisition (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_TriggerAnalogAcquisition (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_GetAnalogInputChannelsNbr (h_DeviceHandle : THANDLE; var pb_NumberOfInputChannels : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3016_GetAnalogInputResolution (h_DeviceHandle : THANDLE; var pb_Resolution : Byte): Int16;FAR;STDCALL;

FUNCTION   l_PCI3016_ReadSequenceData (h_DeviceHandle : THANDLE; size : LongWord; var data : Uint16): longint;FAR;STDCALL;
	
IMPLEMENTATION

FUNCTION   i_PCI3016_GetNumberOfBoards (var pb_NbrOfBoards : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_GetBoardInformation (b_BoardIndex : Byte;
									      dw_IdentifierStringSize : LongWord;
									      pc_Identifier : PAnsiChar;
									      var	pdw_UINumber : LongWord;
								          var   pdw_DeviceNumber : LongWord;
								          var   pdw_BusNumber : LongWord;
									      var	pdw_BaseAddress0 : LongWord;
									      var	pdw_BaseAddress1 : LongWord;
									      var	pdw_BaseAddress2 : LongWord;
									      var	pdw_BaseAddress3 : LongWord;
									      var   pb_Interrupt : Byte ): Int16;FAR;STDCALL;External 'PCI3001.DLL';
								   
FUNCTION   i_PCI3016_OpenBoardViaIndex (b_BoardIndex : Byte; var ph_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_OpenBoardViaIdentifier (pc_Identifier : PCHAR; var ph_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3016.DLL';
										
FUNCTION   i_PCI3016_CloseBoard (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_GetDLLVersion (var pdw_Version : LongWord): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_GetDeviceDriverVersion(h_DeviceHandle : THANDLE; var pdw_Version : LongWord): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_SetBoardIntRoutine (h_DeviceHandle : THANDLE; v_FunctionName : Pointer): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ResetBoardIntRoutine (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Read1DigitalInput (h_DeviceHandle : THANDLE; b_Channel : Byte; var pb_Value : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Read4DigitalInputs (h_DeviceHandle : THANDLE; var pb_Value : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Set1DigitalOutputOn (h_DeviceHandle : THANDLE; b_Channel : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Set1DigitalOutputOff (h_DeviceHandle : THANDLE; b_Channel : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Set4DigitalOutputsOn (h_DeviceHandle : THANDLE; b_Mask : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Set4DigitalOutputsOff (h_DeviceHandle : THANDLE; b_Mask : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_SetDigitalOutputMemoryOn (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_SetDigitalOutputMemoryOff (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Get1DigitalOutputStatus (h_DeviceHandle : THANDLE; b_Channel : Byte; var pb_OutputsStatus : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Get4DigitalOutputsStatus (h_DeviceHandle : THANDLE; var	pb_OutputsStatus : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_SetTTLPortConfiguration (h_DeviceHandle : THANDLE; b_InOrOut : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ReadTTLInputs (h_DeviceHandle : THANDLE; b_Port : Byte; var pw_Value : UInt16): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_SetTTLOutputsOff (h_DeviceHandle : THANDLE; b_Port : Byte; w_Mask : UInt16): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_SetTTLOutputsOn (h_DeviceHandle : THANDLE; b_Port : Byte; w_Mask : UInt16): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_GetTTLOutputsStatus (h_DeviceHandle : THANDLE; b_Port : Byte; var pw_OutputsStatus : UInt16): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_InitAndStartCounterTimerWatchdog(h_DeviceHandle : THANDLE;
												      b_Function : Byte;
												      b_Index : Byte;
													  b_InterruptEnabled : Byte;
												      w_ReloadValue : UInt16;
												      b_TimerWatchdogTimeBase : Byte;
												      b_CounterTimerOutputMode : Byte;
												      b_TimerMode : Byte;
												      b_CounterDirection : Byte;
												      b_CounterLevel : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_StopCounterTimerWatchdog(h_DeviceHandle : THANDLE; b_Index : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_TriggerCounterTimerWatchdog(h_DeviceHandle : THANDLE; b_Index : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ReadCounterStatus (h_DeviceHandle : THANDLE;
								        b_Index : Byte;
								        var pb_CounterStatus : Byte;
										var pb_Clear : Byte;
										var pb_SoftwareTriggerStatus : Byte;
								        var pw_CounterValue: UInt16 ): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ReadCounterValue (h_DeviceHandle : THANDLE; b_Index : Byte; var pw_CounterValue: UInt16 ): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ClearCounter(h_DeviceHandle : THANDLE; b_Index : Byte ): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ReadTimerStatus (h_DeviceHandle : THANDLE;
								      b_Index : Byte;
								      var pb_TimerStatus : Byte;
								      var pb_SoftwareTriggerStatus : Byte;
								      var pw_TimerValue: UInt16): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ReadTimerValue (h_DeviceHandle : THANDLE;
								     b_Index : Byte;
								     var pw_TimerValue: UInt16 ): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ReadWatchdogStatus (h_DeviceHandle : THANDLE;
								         var pb_WatchdogStatus : Byte;
								         var pb_SoftwareTriggerStatus : Byte;
								         var pw_WatchdogValue: UInt16): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ReadWatchdogValue (h_DeviceHandle : THANDLE;
								        var pw_WatchdogValue: UInt16 ): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_SetAnalogInputMode(h_DeviceHandle : THANDLE; b_InputMode : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';
 
FUNCTION   i_PCI3016_GetAnalogInputMode(h_DeviceHandle : THANDLE; var pb_InputMode : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_InitAndStartAnalogInputSequence(h_DeviceHandle : THANDLE;
													 dw_SequenceCount : LongWord;
													 dw_SequenceBeforeInterrupt : LongWord;
													 b_ChannelCount : Byte;
													 var pb_Channel : Byte;
													 var pb_Gain : Byte;
													 var pb_Polarity : Byte;
													 dw_ConvertingTime : LongWord;
													 dw_DelayTime : LongWord;
													 b_SoftTriggerMode : Byte;
													 b_ExtTriggerMode : Byte;
													 dw_SequenceTriggerCount: LongWord): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_ReadMoreAnalogInputs (h_DeviceHandle : THANDLE;
										   b_ChannelCount : Byte;
										   var pb_Channel : Byte;
										   var pb_Gain : Byte;
										   var pb_Polarity : Byte;
										   dw_ConvertingTime : LongWord;
										   b_InterruptFlag : Byte;
									       b_SoftTriggerMode : Byte;
									       b_ExtTriggerMode : Byte;
									       var pw_ChannelValue : UInt16): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_Read1AnalogInput (h_DeviceHandle : THANDLE;
								       b_Channel : Byte;
								       b_Gain : Byte;
								       b_Polarity : Byte;
								       dw_ConvertingTime : LongWord;
								       b_InterruptFlag : Byte;
								       b_SoftTriggerMode : Byte;
								       b_ExtTriggerMode : Byte;
								       var pw_ChannelValue : UInt16): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_InitAndStartAutoRefreshAcquisition(h_DeviceHandle : THANDLE;
								                        b_ChannelCount : Byte;
													    var pb_Channel : Byte;
								                        var pb_Gain : Byte;
								                        var pb_Polarity : Byte;
								                        dw_ConvertingTime : LongWord;
								                        ppdw_Channels : PPointer): Int16;FAR;STDCALL;External 'PCI3016.DLL';
	
FUNCTION   i_PCI3016_StopAnalogAcquisition (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_TriggerAnalogAcquisition (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_GetAnalogInputChannelsNbr (h_DeviceHandle : THANDLE; var pb_NumberOfInputChannels : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   i_PCI3016_GetAnalogInputResolution (h_DeviceHandle : THANDLE; var pb_Resolution : Byte): Int16;FAR;STDCALL;External 'PCI3016.DLL';

FUNCTION   l_PCI3016_ReadSequenceData (h_DeviceHandle : THANDLE; size : LongWord; var data : Uint16): longint;FAR;STDCALL;External 'PCI3016.DLL';

END.